<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hcubic.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hcubic.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hcubic.c:</div>
<div class="dynsection">
<div class="center"><img src="hcubic_8c__incl.png" border="0" usemap="#field_2hcubic_8c_map" alt=""/></div>
<map name="field_2hcubic_8c_map" id="field_2hcubic_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="173,86,229,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="hcubic_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790">Hcubic_Init</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hcubic_8c.html#ace2ad4bc212a40902a58d3bfdaa0518a">Hcubic</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VHtotsum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hcubic_8c.html#aea497be5e9a188c3f1627b6692951515">Hcubic_Energy</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec VMom, PetscReal *energy)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ace2ad4bc212a40902a58d3bfdaa0518a"></a><!-- doxytag: member="hcubic.c::Hcubic" ref="ace2ad4bc212a40902a58d3bfdaa0518a" args="(GridData *gdata, Vec VHtotsum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hcubic </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VHtotsum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hcubic_8c_source.html#l00064">64</a> of file <a class="el" href="hcubic_8c_source.html">hcubic.c</a>.</p>

<p>References <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, and <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_cgraph.png" border="0" usemap="#hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_cgraph_map" alt=""></div>
<map name="hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_cgraph_map" id="hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_cgraph">
<area shape="rect" id="node3" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="119,5,204,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_icgraph.png" border="0" usemap="#hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_icgraph_map" alt=""></div>
<map name="hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_icgraph_map" id="hcubic_8c_ace2ad4bc212a40902a58d3bfdaa0518a_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="119,210,164,241"/><area shape="rect" id="node38" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="215,301,316,331"/><area shape="rect" id="node5" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="224,118,307,149"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1083,197,1141,227"/><area shape="rect" id="node34" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="927,90,1012,121"/><area shape="rect" id="node44" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="231,197,300,227"/><area shape="rect" id="node7" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="905,143,1033,174"/><area shape="rect" id="node16" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="395,146,472,177"/><area shape="rect" id="node21" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="387,93,480,123"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1085,143,1139,174"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1189,170,1240,201"/><area shape="rect" id="node18" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="551,301,676,331"/><area shape="rect" id="node23" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="575,197,652,227"/><area shape="rect" id="node28" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="567,93,660,123"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="725,197,856,227"/><area shape="rect" id="node30" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="764,93,817,123"/><area shape="rect" id="node40" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="365,301,501,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aea497be5e9a188c3f1627b6692951515"></a><!-- doxytag: member="hcubic.c::Hcubic_Energy" ref="aea497be5e9a188c3f1627b6692951515" args="(GridData *gdata, Vec VMom, PetscReal *energy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hcubic_Energy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>VMom</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>energy</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hcubic_8c_source.html#l00198">198</a> of file <a class="el" href="hcubic_8c_source.html">hcubic.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, and <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>.</p>

<p>Referenced by <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hcubic_8c_aea497be5e9a188c3f1627b6692951515_icgraph.png" border="0" usemap="#hcubic_8c_aea497be5e9a188c3f1627b6692951515_icgraph_map" alt=""></div>
<map name="hcubic_8c_aea497be5e9a188c3f1627b6692951515_icgraph_map" id="hcubic_8c_aea497be5e9a188c3f1627b6692951515_icgraph">
<area shape="rect" id="node3" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="163,203,251,234"/><area shape="rect" id="node5" href="htot_8c.html#a23837f4926a3a0dc211d349e16a9df87" title="Htot_EminiEnergy" alt="" coords="299,177,424,207"/><area shape="rect" id="node7" href="htot_8c.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="315,230,408,261"/><area shape="rect" id="node9" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="821,354,907,385"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1157,197,1216,227"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1019,302,1072,333"/><area shape="rect" id="node20" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="611,81,747,111"/><area shape="rect" id="node25" href="writelog__pid_8c.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="472,230,563,261"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1264,223,1315,254"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="983,93,1108,123"/><area shape="rect" id="node27" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="643,230,715,261"/><area shape="rect" id="node29" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="795,250,933,281"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="800,197,928,227"/><area shape="rect" id="node37" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="825,93,903,123"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a01373c5662322678c71a3420ab8b0790"></a><!-- doxytag: member="hcubic.c::Hcubic_Init" ref="a01373c5662322678c71a3420ab8b0790" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Hcubic_Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hcubic_8c_source.html#l00037">37</a> of file <a class="el" href="hcubic_8c_source.html">hcubic.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, and <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>.</p>

<p>Referenced by <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hcubic_8c_a01373c5662322678c71a3420ab8b0790_icgraph.png" border="0" usemap="#hcubic_8c_a01373c5662322678c71a3420ab8b0790_icgraph_map" alt=""></div>
<map name="hcubic_8c_a01373c5662322678c71a3420ab8b0790_icgraph_map" id="hcubic_8c_a01373c5662322678c71a3420ab8b0790_icgraph">
<area shape="rect" id="node3" href="hcubic_8c.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="143,249,204,279"/><area shape="rect" id="node5" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="255,210,300,241"/><area shape="rect" id="node40" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="351,301,452,331"/><area shape="rect" id="node7" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="360,118,443,149"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1219,197,1277,227"/><area shape="rect" id="node36" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1063,90,1148,121"/><area shape="rect" id="node46" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="367,197,436,227"/><area shape="rect" id="node9" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1041,143,1169,174"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="531,146,608,177"/><area shape="rect" id="node23" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="523,93,616,123"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1221,143,1275,174"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1325,170,1376,201"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="687,301,812,331"/><area shape="rect" id="node25" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="711,197,788,227"/><area shape="rect" id="node30" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="703,93,796,123"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="861,197,992,227"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="900,93,953,123"/><area shape="rect" id="node42" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="501,301,637,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

